Sign in

Teams & People

Get the authenticated person

GET https://service.steady.space/api/v2/me

200 Response

{
  "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
  "name": "Quinn Reed",
  "username": "QuinnReed",
  "email": "[email protected]",
  "time_zone": "Eastern Time (US & Canada)",
  "location": "Brooklyn, NY",
  "title": "Senior Engineer",
  "bio": "I love secure systems and good coffee.",
  "administrator": false,
  "created_at": "2024-01-12T15:42:11Z",
  "updated_at": "2026-04-28T15:14:33Z",
  "url": "https://app.steady.space/people/ab6e1c81-cc42-47b9-82d0-66601aea003d",
  "account": {
    "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
    "name": "Quantronica"
  },
  "teams": [
    {
      "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
      "name": "Security"
    }
  ]
}
Field reference
Name Type Description
id string
name string
username string

Username for @-mentions, without the leading “@”.

email string
time_zone string

IANA time zone name.

location object

Free-form location string the person set on their profile.

title object

Job title the person set on their profile.

bio object

Profile bio as plain text.

administrator boolean
created_at string
updated_at string
url string
account object
teams array

List people

GET https://service.steady.space/api/v2/people

Query parameters

Name Type Required Description
page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
    "name": "Quinn Reed",
    "username": "QuinnReed",
    "email": "[email protected]",
    "time_zone": "Eastern Time (US & Canada)",
    "location": "Brooklyn, NY",
    "title": "Senior Engineer",
    "bio": "I love secure systems and good coffee.",
    "administrator": false,
    "created_at": "2024-01-12T15:42:11Z",
    "updated_at": "2026-04-28T15:14:33Z",
    "url": "https://app.steady.space/people/ab6e1c81-cc42-47b9-82d0-66601aea003d",
    "account": {
      "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
      "name": "Quantronica"
    },
    "teams": [
      {
        "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
        "name": "Security"
      }
    ]
  }
]
Field reference
Name Type Description
id string
name string
username string

Username for @-mentions, without the leading “@”.

email string
time_zone string

IANA time zone name.

location object

Free-form location string the person set on their profile.

title object

Job title the person set on their profile.

bio object

Profile bio as plain text.

administrator boolean
created_at string
updated_at string
url string
account object
teams array

Get a person

GET https://service.steady.space/api/v2/people/{id}

200 Response

{
  "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
  "name": "Quinn Reed",
  "username": "QuinnReed",
  "email": "[email protected]",
  "time_zone": "Eastern Time (US & Canada)",
  "location": "Brooklyn, NY",
  "title": "Senior Engineer",
  "bio": "I love secure systems and good coffee.",
  "administrator": false,
  "created_at": "2024-01-12T15:42:11Z",
  "updated_at": "2026-04-28T15:14:33Z",
  "url": "https://app.steady.space/people/ab6e1c81-cc42-47b9-82d0-66601aea003d",
  "account": {
    "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
    "name": "Quantronica"
  },
  "teams": [
    {
      "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
      "name": "Security"
    }
  ]
}
Field reference
Name Type Description
id string
name string
username string

Username for @-mentions, without the leading “@”.

email string
time_zone string

IANA time zone name.

location object

Free-form location string the person set on their profile.

title object

Job title the person set on their profile.

bio object

Profile bio as plain text.

administrator boolean
created_at string
updated_at string
url string
account object
teams array

List teams

GET https://service.steady.space/api/v2/teams

Query parameters

Name Type Required Description
page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
    "name": "Security",
    "description": "We keep production safe and our customers' data private.",
    "private": false,
    "completion_tracking": true,
    "mood_tracking": true,
    "report_days": [
      "monday",
      "tuesday",
      "wednesday",
      "thursday",
      "friday"
    ],
    "people": [
      {
        "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
        "name": "Quinn Reed"
      },
      {
        "id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
        "name": "Jordan Park"
      }
    ],
    "url": "https://app.steady.space/teams/4c4f5632-7065-4dfb-bb90-c21b5b238ce4"
  }
]
Field reference
Name Type
id string
name string
description object
private boolean
completion_tracking boolean
mood_tracking boolean
report_days array
people array
url string

Get a team

GET https://service.steady.space/api/v2/teams/{id}

200 Response

{
  "id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
  "name": "Security",
  "description": "We keep production safe and our customers' data private.",
  "private": false,
  "completion_tracking": true,
  "mood_tracking": true,
  "report_days": [
    "monday",
    "tuesday",
    "wednesday",
    "thursday",
    "friday"
  ],
  "people": [
    {
      "id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
      "name": "Quinn Reed"
    },
    {
      "id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
      "name": "Jordan Park"
    }
  ],
  "url": "https://app.steady.space/teams/4c4f5632-7065-4dfb-bb90-c21b5b238ce4"
}
Field reference
Name Type
id string
name string
description object
private boolean
completion_tracking boolean
mood_tracking boolean
report_days array
people array
url string